The Alternative Csound Reference Manual
Previous |  | Next

# midion2

midion2 -- Sends noteon and noteoff messages to the MIDI OUT port.

## Description

Sends noteon and noteoff messages to the MIDI OUT port when triggered by a value different than zero.

## Syntax

midion2 kchn, knum, kvel, ktrig

## Performance

kchn -- MIDI channel (1-16)

knum -- MIDI note number (0-127)

kvel -- note velocity (0-127)

ktrig -- trigger input signal (normally 0)

Similar to midion, this opcode sends noteon and noteoff messages to the MIDI out port, but only when ktrig is non-zero. This opcode is can work together with the output of the trigger opcode.

## Credits

Author: Gabriel Maldonado
Italy
1998

New in Csound version 3.492

Thanks goes to Rasmus Ekman for pointing out the correct MIDI channel and controller number ranges.

Previous | Home | Next
midion | Up | midiout